org.eclipse.swt.events

## Interface MouseTrackListener

All Known Implementing Classes:
  MouseTrackAdapter

    public interface MouseTrackListener

Classes which implement this interface provide methods that deal with the events that are generated as the mouse pointer passes (or hovers) over controls.

After creating an instance of a class that implements this interface it can be added to a control using the `addMouseTrackListener` method and removed using the `removeMouseTrackListener` method. When the mouse pointer passes into or out of the area of the screen covered by a control or pauses while over a control, the appropriate method will be invoked.

Since:
  1.3
See Also:
  `MouseTrackAdapter`, `MouseEvent`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `mouseEnter(MouseEvent e)` Sent when the mouse pointer passes into the area of the screen covered by a control.
`void` `mouseExit(MouseEvent e)` Sent when the mouse pointer passes out of the area of the screen covered by a control.
`void` `mouseHover(MouseEvent e)` Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.

### Method Detail

#### mouseEnter

    void mouseEnter(MouseEvent e)

Sent when the mouse pointer passes into the area of the screen covered by a control.

Parameters:
  `e` - an event containing information about the mouse enter

#### mouseExit

    void mouseExit(MouseEvent e)

Sent when the mouse pointer passes out of the area of the screen covered by a control.

Parameters:
  `e` - an event containing information about the mouse exit

#### mouseHover

    void mouseHover(MouseEvent e)

Sent when the mouse pointer hovers (that is, stops moving for an (operating system specified) period of time) over a control.

Parameters:
  `e` - an event containing information about the hover

Copyright (c) EclipseSource and others 2002, 2020. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0